Summary:	A RSS feed reader
Summary(pl.UTF-8):	Program do pobierania informacji w formacie RSS
Name:		liferea
Version:	1.8.7
Release:	1
License:	GPL v2+
Group:		X11/Applications/Networking
Source0:	http://downloads.sourceforge.net/liferea/%{name}-%{version}.tar.gz
# Source0-md5:	2d5733b1bdd784a8370b548799354c83
Patch0:		%{name}-desktop.patch
Patch1:		automake-1.12.patch
URL:		http://liferea.sourceforge.net/
BuildRequires:	GConf2-devel >= 2.10.0
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.11
BuildRequires:	geoclue-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.26.0
BuildRequires:	gstreamer-devel >= 0.10
BuildRequires:	gtk+2-devel >= 2:2.18.0
BuildRequires:	gtk-webkit-devel >= 1.2.2
BuildRequires:	intltool >= 0.40.0
BuildRequires:	json-glib-devel
BuildRequires:	libglade2-devel >= 1:2.0.0
BuildRequires:	libnotify-devel >= 0.7.0
BuildRequires:	libsoup-devel >= 2.28.2
BuildRequires:	libtool
BuildRequires:	libunique-devel
BuildRequires:	libxml2-devel >= 1:2.6.27
BuildRequires:	libxslt-devel >= 1.1.19
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	sqlite3-devel >= 3.7.0
BuildRequires:	xorg-lib-libSM-devel
Requires(post,preun):	GConf2
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	glib2 >= 1:2.26.0
Requires:	gtk+2 >= 2:2.18.0
Obsoletes:	liferea-gtkhtml
Obsoletes:	liferea-mozilla
Obsoletes:	liferea-webkit
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Liferea is a GTK+ clone of FeedReader.

%description -l pl.UTF-8
Liferea jest klonem, napisanym za pomocą biblioteki GTK+, programu
FeedReader.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__glib_gettextize}
%{__intltoolize}
%{__aclocal}
%{__libtoolize}
%{__automake}
%{__autoheader}
%{__autoconf}
%configure \
	--disable-schemas-install \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%post
%gconf_schema_install liferea.schemas
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall liferea.schemas

%postun
%update_icon_cache hicolor

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/liferea
%attr(755,root,root) %{_bindir}/liferea-add-feed
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/*.svg
%{_sysconfdir}/gconf/schemas/liferea.schemas
%{_datadir}/%{name}
%{_desktopdir}/liferea.desktop
%{_mandir}/man1/liferea.1*
%{_mandir}/pl/man1/liferea.1*
%changelog
* Thu Aug 30 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/liferea.git;a=log;h=master

* Thu Aug 30 2012 Łukasz Kieś <kiesiu@pld-linux.org> ebb44ff
- updated to 1.8.7

* Wed Aug 29 2012 Jan Rękorajski <baggins@pld-linux.org> 1af1ee2
- release 2 (by relup.sh)

* Sat Jun 23 2012 Łukasz Kieś <kiesiu@pld-linux.org> 00f4920
- updated to 1.8.6
- updated BRs
- patched to build with automake 1.12

* Tue Jan 31 2012 lisu <lisu@pld-linux.org> b865de9
- obsoleted

* Tue Jan 31 2012 lisu <lisu@pld-linux.org> 9c9cdc4
- sorted BRs

* Tue Jan 31 2012 lisu <lisu@pld-linux.org> d83935b
- merged with DEVEL

* Wed Dec 21 2011 lisu <lisu@pld-linux.org> e8ba264
- rel 2

* Wed Sep 28 2011 lisu <lisu@pld-linux.org> 792f32d
- updated to 1.6.6b
- fix build on Titanium (still uses libnotify 0.4)
- __rm macro

* Thu Apr 07 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 4984122
- added -libnotify-0.7.patch and -nm09.patch

* Thu Apr 07 2011 Marcin Banasiak <marcin.banasiak@gmail.com> c568d20
- support for NM 0.9

* Thu Apr 07 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 3630a8b
- fixes build with libnotify 0.7

* Thu Apr 07 2011 lisu <lisu@pld-linux.org> fdd5ac5
- rel 3

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> bcc9d4a
- Requires(post,postun): gtk-update-icon-cache

* Mon Oct 04 2010 lisu <lisu@pld-linux.org> 3d56977
- 1.6.5
- BR: geoclue-devel

* Sat Aug 21 2010 Krzysztof Goliński <dirdival@pld-linux.org> 94cc7c6
- BR:  gstreamer-devel

* Mon Jul 12 2010 lisu <lisu@pld-linux.org> cc6a3f4
- up to 1.6.4

* Tue Feb 23 2010 lisu <lisu@pld-linux.org> 95af911
- updated to 1.6.3
- use %%lang

* Sat Feb 20 2010 Marcin Banasiak <marcin.banasiak@gmail.com> a6e8b77
- release 2

* Sat Jan 23 2010 Krzysztof Goliński <dirdival@pld-linux.org> 17a8db3
- up to 1.6.2 (Fixes SF #2883971: proxy authentication doesn't work, Fixes an RSS 1.1 parsing bug)

* Sat Nov 21 2009 Marcin Banasiak <marcin.banasiak@gmail.com> e904b55
- updated to 1.6.1

